Fundraising
/- Preview Gift Receipt
Gets all of the gifts in the system.
Creates a new gift record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising gift
Returns a list of records with the specified master_gift_id
Migrate Donation Orders
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a list of records with the specified pledge_id
Resend Receipt
Get Public Giving Form Manifest
Resend Receipt
Returns a list of records with the specified recurring_gift_id
Resend Receipt
Searches for gifts using predefined parameters
List Donor Soft Credits
Returns a gift from the system by its ID.
Returns a gift from the system by its ID.
Partially updates a gift with the specified ID.
Updates a gift with the specified ID.
Preview Gift Receipt
Sends out a preview of the gift receipt email
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/previewReceipt
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/gifts/{tenantId}/previewReceipt
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/previewReceipt' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"gift_id": "string",
"pledge_id": "string"
}'